StatisticResource (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, interface: StatisticResource

Package org.apache.geode.admin

# Interface StatisticResource

@Deprecated public interface StatisticResource
Deprecated.
as of 7.0 use the `management` package instead
Adminitrative interface for monitoring a statistic resource in a GemFire system member. A resource is comprised of one or many `Statistics`.

Since:
  GemFire 3.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Deprecated.
  Gets the full description of this resource.
  `String`
  `getName()`
  Deprecated.
  Gets the identifying name of this resource.
  `String`
  `getOwner()`
  Deprecated.
  Returns a display string of the `SystemMember` owning this resource.
  `Statistic[]`
  `getStatistics()`
  Deprecated.
  Returns a read-only array of every `Statistic` in this resource.
  `String`
  `getType()`
  Deprecated.
  Gets the classification type of this resource.
  `long`
  `getUniqueId()`
  Deprecated.
  Returns an ID that uniquely identifies the resource within the `SystemMember` it belongs to.
  `void`
  `refresh()`
  Deprecated.
  Refreshes the values of every `Statistic` in this resource by retrieving them from the member's VM.

- ## Method Details

  - ### getName

    String getName()
    Deprecated.
    Gets the identifying name of this resource.
    Returns:
      the identifying name of this resource

  - ### getDescription

    String getDescription()
    Deprecated.
    Gets the full description of this resource.
    Returns:
      the full description of this resource

  - ### getType

    String getType()
    Deprecated.
    Gets the classification type of this resource.
    Returns:
      the classification type of this resource
    Since:
      GemFire 5.0

  - ### getOwner

    String getOwner()
    Deprecated.
    Returns a display string of the `SystemMember` owning this resource.
    Returns:
      a display string of the owning `SystemMember`

  - ### getUniqueId

    long getUniqueId()
    Deprecated.
    Returns an ID that uniquely identifies the resource within the `SystemMember` it belongs to.
    Returns:
      unique id within the owning `SystemMember`

  - ### getStatistics

    Statistic[] getStatistics()
    Deprecated.
    Returns a read-only array of every `Statistic` in this resource.
    Returns:
      read-only array of every `Statistic` in this resource

  - ### refresh

    void refresh() throws AdminException
    Deprecated.
    Refreshes the values of every `Statistic` in this resource by retrieving them from the member's VM.
    Throws:
      `AdminException` - if unable to refresh statistic values